Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.persistence.dao
Class RelyingPartyDAO

    java.lang.Object
      org.wso2.solutions.identity.persistence.dao.BaseDAO
          org.wso2.solutions.identity.persistence.dao.RelyingPartyDAO

    public class RelyingPartyDAO

extends BaseDAO

Field Summary
`protected org.apache.log4j.Logger` | `log`

Fields inherited from class org.wso2.solutions.identity.persistence.dao.BaseDAO
`messages`

Constructor Summary
`RelyingPartyDAO(HibernateConfig config)`

Method Summary
`RelyingPartyDO[]` | `getAllRelyingParties()`
`PPIDValueDO[]` | `getPPIDValues(java.lang.String url)`
`RelyingPartyDO` | `getRelyingPartyDO(java.lang.String url)`
`RelyingPartyDO` | `getRelyingPartyDO(java.lang.String rpURL, org.hibernate.Session session)`

Methods inherited from class org.wso2.solutions.identity.persistence.dao.BaseDAO
`create, createOrUpdate, delete, executeSingleDMLStatement, getDataObject, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.apache.log4j.Logger log

Constructor Detail

### RelyingPartyDAO

    public RelyingPartyDAO(HibernateConfig config)

Method Detail

### getRelyingPartyDO

    public RelyingPartyDO getRelyingPartyDO(java.lang.String url)

### getAllRelyingParties

    public RelyingPartyDO[] getAllRelyingParties()

### getPPIDValues

    public PPIDValueDO[] getPPIDValues(java.lang.String url)

### getRelyingPartyDO

    public RelyingPartyDO getRelyingPartyDO(java.lang.String rpURL,
                                            org.hibernate.Session session)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD